# pion::PluginManager< PLUGIN_TYPE >::PluginMap Class Reference

`#include <PluginManager.hpp>`

Inherits std::map< K, T >.

List of all members.

## Detailed Description

### template<typename PLUGIN_TYPE>
class pion::PluginManager< PLUGIN_TYPE >::PluginMap

data type that maps identifiers to plug-in objects

Definition at line 181 of file PluginManager.hpp.

## Public Member Functions

void | clear (void)
virtual | ~PluginMap ()
| PluginMap (void)

The documentation for this class was generated from the following file:

- common/include/pion/PluginManager.hpp